For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chains

List all available chains

get
Responses
200

Successful response

application/json
get/chains
GET /api/v2/chains HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "chains": [
    {
      "id": 1,
      "name": "text",
      "url": "https://example.com",
      "iconUrl": "https://example.com"
    }
  ]
}

Add a new chain (Admin only)

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 100Required
urlstring · uri · nullableRequired
iconUrlstring · uri · nullableRequired
Responses
200

Successful response

application/json
post/chains
POST /api/v2/chains HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "name": "text",
  "url": "https://example.com",
  "iconUrl": "https://example.com"
}
{
  "chain": {
    "id": 1,
    "name": "text",
    "url": "https://example.com",
    "iconUrl": "https://example.com"
  }
}

Edit an existing chain (Admin only)

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idinteger · max: 9007199254740991Required
Body
namestring · min: 1 · max: 100Required
urlstring · uri · nullableRequired
iconUrlstring · uri · nullableRequired
Responses
200

Successful response

application/json
put/chains/{id}
PUT /api/v2/chains/{id} HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "name": "text",
  "url": "https://example.com",
  "iconUrl": "https://example.com"
}
{
  "chain": {
    "id": 1,
    "name": "text",
    "url": "https://example.com",
    "iconUrl": "https://example.com"
  }
}

Delete a chain (Admin only)

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idinteger · max: 9007199254740991Required
Responses
200

Successful response

application/json
anyOptional
delete/chains/{id}
DELETE /api/v2/chains/{id} HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get current Base gas price

get

⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

Responses
200

Successful response

application/json
weiinteger · int64Required
levelstring · enumRequiredPossible values:
updatedAtstringRequired
get/chains/base/gas-price
GET /api/v2/chains/base/gas-price HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "wei": 1,
  "level": "low",
  "updatedAt": "text"
}

Last updated